# In class exercise to draw a house. This version draws a blue house
# with a red roof and fills in the house with color. This version also
# allows an arbitrary sized house to be drawn using the parameter
# size.

from turtle import *

def house(size):
  color("blue")
  begin_fill()
  for i in range(4):
    forward(size)
    right(90)
  end_fill()
  color("red")
  begin_fill()
  right(300)
  for i in range(3):
    forward(size)
    right(120)
  end_fill()
  
# Draw a big house
house(200)

# Move the turtle but don't draw anything
penup()
goto(-100,0)
pendown()
setheading(0)

# Draw a little house
house(50)
