# Draw 4 houses in a row with different sizes

from turtle import *

speed(0)

size = 0 
penup()
backward(200)

for house in range(4):
  # Set the size based on the house being drawn
  size = 50 * (house+1)             

  # Draw the body of the house
  color("blue")
  begin_fill()
  for i in range(4):
    forward(size)
    right(90)
  end_fill()

  # Draw the roof of the house
  color("red")
  begin_fill()
  left(60)
  for i in range(3):
    forward(size)
    right(120)
  end_fill()

  # Adjust position
  penup()
  right(60)
  forward(size+50)
  pendown()
