# Includes a function to draw a house and uses it in a loop
from turtle import *

speed(0)

# Draw a colored square with given size and color
def draw_color_square(size,col):
  color(col)
  begin_fill()
  for i in range(4):
    forward(size)
    right(90)
  end_fill()


# Draw a colored triangle with given size and color
def draw_color_triangle(size,col):
  color(col)
  begin_fill()
  for i in range(3):
    forward(size)
    right(120)
  end_fill()

# A function to draw a house of the given size with given color of
# body and roof, uses colored square and triangle functions
def draw_house(size,bodycol,roofcol):
  draw_color_square(size,bodycol)
  left(60)
  draw_color_triangle(size,roofcol)

penup()
backward(200)

# Draw 4 houses of varying sizes: suburbs part 3
for house in range(4):
  # Set the size based on the house being drawn
  size = 50 * (house+1)             

  draw_house(size,"blue","red")

  # Adjust position
  penup()
  right(60)
  forward(size+50)
  pendown()
