# Draw 4 houses with one larger and a different color
from turtle import *

speed(0)

size = 0 
penup()
backward(200)


def draw_color_square(size,col):
  color(col)
  begin_fill()
  for i in range(4):
    forward(size)
    right(90)
  end_fill()


def draw_color_triangle(size,col):
  color(col)
  begin_fill()
  for i in range(3):
    forward(size)
    right(120)
  end_fill()

# A function to draw a house of the given size with given color of
# body and roof
def draw_house(size,bodycol,roofcol):
  draw_color_square(size,bodycol)
  left(60)
  draw_color_triangle(size,roofcol)

# Draw 4 houses of varying sizes
for house in range(4):
  # Set the size based on the house being drawn
  if house==2:
    draw_house(200,"purple","green")
  else:
    draw_house(100,"blue","red")

  # Adjust position
  penup()
  right(60)
  forward(250)
  pendown()
